Skip to content
v2.274.0

CfnComponent L1 construct ​

Creates a new component that can be used to build, validate, test, and assess your image.

The component is based on a YAML document that you specify using exactly one of the following methods:

  • Inline, using the data property in the request body.
  • A URL that points to a YAML document file stored in Amazon S3, using the uri property in the request body.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_imagebuilder as imagebuilder } from 'aws-cdk-lib';
const cfnComponent = new imagebuilder.CfnComponent(this, 'MyCfnComponent', {
  name: 'name',
  platform: 'platform',
  version: 'version',

  // the properties below are optional
  changeDescription: 'changeDescription',
  data: 'data',
  description: 'description',
  kmsKeyId: 'kmsKeyId',
  supportedOsVersions: ['supportedOsVersions'],
  tags: {
    tagsKey: 'tags',
  },
  uri: 'uri',
});
python
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_imagebuilder as imagebuilder

cfn_component = imagebuilder.CfnComponent(self, "MyCfnComponent",
    name="name",
    platform="platform",
    version="version",

    # the properties below are optional
    change_description="changeDescription",
    data="data",
    description="description",
    kms_key_id="kmsKeyId",
    supported_os_versions=["supportedOsVersions"],
    tags={
        "tags_key": "tags"
    },
    uri="uri"
)
java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.imagebuilder.*;

CfnComponent cfnComponent = CfnComponent.Builder.create(this, "MyCfnComponent")
        .name("name")
        .platform("platform")
        .version("version")

        // the properties below are optional
        .changeDescription("changeDescription")
        .data("data")
        .description("description")
        .kmsKeyId("kmsKeyId")
        .supportedOsVersions(List.of("supportedOsVersions"))
        .tags(Map.of(
                "tagsKey", "tags"))
        .uri("uri")
        .build();
csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.ImageBuilder;

var cfnComponent = new CfnComponent(this, "MyCfnComponent", new CfnComponentProps {
    Name = "name",
    Platform = "platform",
    Version = "version",

    // the properties below are optional
    ChangeDescription = "changeDescription",
    Data = "data",
    Description = "description",
    KmsKeyId = "kmsKeyId",
    SupportedOsVersions = new [] { "supportedOsVersions" },
    Tags = new Dictionary<string, string> {
        { "tagsKey", "tags" }
    },
    Uri = "uri"
});
go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

cfnComponent := awscdk.Aws_imagebuilder.NewCfnComponent(this, jsii.String("MyCfnComponent"), &CfnComponentProps{
	Name: jsii.String("name"),
	Platform: jsii.String("platform"),
	Version: jsii.String("version"),

	// the properties below are optional
	ChangeDescription: jsii.String("changeDescription"),
	Data: jsii.String("data"),
	Description: jsii.String("description"),
	KmsKeyId: jsii.String("kmsKeyId"),
	SupportedOsVersions: []*string{
		jsii.String("supportedOsVersions"),
	},
	Tags: map[string]*string{
		"tagsKey": jsii.String("tags"),
	},
	Uri: jsii.String("uri"),
})

Initializer ​

ts
new CfnComponent(scope: Construct, id: string, props: CfnComponentProps)
python
CfnComponent(scope: Construct, id: str, props: CfnComponentProps)
java
new CfnComponent(Construct scope, String id, CfnComponentProps props)
csharp
new CfnComponent(Construct scope, string id, CfnComponentProps props)
go
NewCfnComponent(Scope Construct, Id *string, Props CfnComponentProps)

Construct Props ​

changeDescriptionoptionalstringchange_descriptionoptionalstrchangeDescriptionoptionalStringChangeDescriptionoptionalstringChangeDescriptionoptional*string#
The change description of the component.

Describes what change has been made in this version, or what makes this version different from other versions of the component.

dataoptionalstringdataoptionalstrdataoptionalStringDataoptionalstringDataoptional*string#
Component `data` contains inline YAML document content for the component.

Alternatively, you can specify the uri of a YAML document file stored in Amazon S3. However, you cannot specify both properties.

descriptionoptionalstringdescriptionoptionalstrdescriptionoptionalStringDescriptionoptionalstringDescriptionoptional*string#
Describes the contents of the component.
kmsKeyIdoptionalstringkms_key_idoptionalstrkmsKeyIdoptionalStringKmsKeyIdoptionalstringKmsKeyIdoptional*string#
The Amazon Resource Name (ARN) that uniquely identifies the KMS key used to encrypt this component.

This can be either the Key ARN or the Alias ARN. For more information, see Key identifiers (KeyId) in the AWS Key Management Service Developer Guide .

namestringnamestrnameStringNamestringName*stringrequired#
The name of the component.
platformstringplatformstrplatformStringPlatformstringPlatform*stringrequired#
The operating system platform of the component.
supportedOsVersionsoptionalstring[]supported_os_versionsoptionaltyping.List[str]supportedOsVersionsoptionalList<String>SupportedOsVersionsoptionalstring[]SupportedOsVersionsoptional*[]*string#
The operating system (OS) version supported by the component.

If the OS information is available, a prefix match is performed against the base image OS version during image recipe creation.

tagsoptional{ [key: string]: string }tagsoptionaltyping.Mapping[str, str]tagsoptionalMap<String, String>TagsoptionalIDictionary<string, string>Tagsoptional*map[string]*string#
The tags that apply to the component.
urioptionalstringurioptionalstrurioptionalStringUrioptionalstringUrioptional*string#
The `uri` of a YAML component document file.
notes

This must be an S3 URL ( s3://bucket/key ), and the requester must have permission to access the S3 bucket it points to. If you use Amazon S3, you can specify component content up to your service quota.

Alternatively, you can specify the YAML document inline, using the component data property. You cannot specify both properties.

versionstringversionstrversionStringVersionstringVersion*stringrequired#
The semantic version of the component. This version follows the semantic version syntax.
notes

The semantic version has four nodes: <major>.<minor>.<patch>/<build>. You can assign values for the first three, and can filter on all of them.

Assignment: For the first three nodes you can assign any positive integer value, including zero, with an upper limit of 2^30-1, or 1073741823 for each node. Image Builder automatically assigns the build number to the fourth node.

Patterns: You can use any numeric pattern that adheres to the assignment requirements for the nodes that you can assign. For example, you might choose a software version pattern, such as 1.0.0, or a date, such as 2021.01.01.

Properties ​

attrArnstringattr_arnstrattrArnStringAttrArnstringAttrArn*string#
Returns the Amazon Resource Name (ARN) of the component.
notes

The following pattern is applied: ^arn:aws[^:]*:imagebuilder:[^:]+:(?:\d{12}|aws):(?:image-recipe|infrastructure-configuration|distribution-configuration|component|image|image-pipeline)/[a-z0-9-_]+(?:/(?:(?:x|\d+)\.(?:x|\d+)\.(?:x|\d+))(?:/\d+)?)?$ .

attrEncryptedIResolvableattr_encryptedIResolvableattrEncryptedIResolvableAttrEncryptedIResolvableAttrEncryptedIResolvable#
Returns the encryption status of the component.

For example true or false .

attrLatestVersionIResolvableattr_latest_versionIResolvableattrLatestVersionIResolvableAttrLatestVersionIResolvableAttrLatestVersionIResolvable#
The latest version references of the component.
attrLatestVersionArnstringattr_latest_version_arnstrattrLatestVersionArnStringAttrLatestVersionArnstringAttrLatestVersionArn*string#
The latest version Amazon Resource Name (ARN) of the Image Builder resource.
attrLatestVersionMajorstringattr_latest_version_majorstrattrLatestVersionMajorStringAttrLatestVersionMajorstringAttrLatestVersionMajor*string#
The latest version Amazon Resource Name (ARN) with the same `major` version of the Image Builder resource.
attrLatestVersionMinorstringattr_latest_version_minorstrattrLatestVersionMinorStringAttrLatestVersionMinorstringAttrLatestVersionMinor*string#
The latest version Amazon Resource Name (ARN) with the same `minor` version of the Image Builder resource.
attrLatestVersionPatchstringattr_latest_version_patchstrattrLatestVersionPatchStringAttrLatestVersionPatchstringAttrLatestVersionPatch*string#
The latest version Amazon Resource Name (ARN) with the same `patch` version of the Image Builder resource.
attrNamestringattr_namestrattrNameStringAttrNamestringAttrName*string#
Returns the name of the component.
attrTypestringattr_typestrattrTypeStringAttrTypestringAttrType*string#
Image Builder determines the component type based on the phases that are defined in the component document.

If there is only one phase, and its name is "test", then the type is TEST . For all other components, the type is BUILD .

CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringstatic#
The CloudFormation resource type name for this resource class.
Options for this resource, such as condition, update policy etc.
cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*string#
AWS resource type.
changeDescriptionmay be undefinedstringchange_descriptionmay be undefinedstrchangeDescriptionmay be undefinedStringChangeDescriptionmay be undefinedstringChangeDescriptionmay be undefined*string#
The change description of the component.
componentRefComponentReferencecomponent_refComponentReferencecomponentRefComponentReferenceComponentRefComponentReferenceComponentRefComponentReference#
A reference to a Component resource.
creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*string#
datamay be undefinedstringdatamay be undefinedstrdatamay be undefinedStringDatamay be undefinedstringDatamay be undefined*string#
Component `data` contains inline YAML document content for the component.
descriptionmay be undefinedstringdescriptionmay be undefinedstrdescriptionmay be undefinedStringDescriptionmay be undefinedstringDescriptionmay be undefined*string#
Describes the contents of the component.
kmsKeyIdmay be undefinedstringkms_key_idmay be undefinedstrkmsKeyIdmay be undefinedStringKmsKeyIdmay be undefinedstringKmsKeyIdmay be undefined*string#
The Amazon Resource Name (ARN) that uniquely identifies the KMS key used to encrypt this component.
logicalIdstringlogical_idstrlogicalIdStringLogicalIdstringLogicalId*string#
The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

namestringnamestrnameStringNamestringName*string#
The name of the component.
nodeNodenodeNodenodeNodeNodeNodeNodeNode#
The tree node.
platformstringplatformstrplatformStringPlatformstringPlatform*string#
The operating system platform of the component.
refstringrefstrrefStringRefstringRef*string#
Return a string that will be resolved to a CloudFormation `{ Ref }` for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

stackStackstackStackstackStackStackStackStackStack#
The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

supportedOsVersionsmay be undefinedstring[]supported_os_versionsmay be undefinedtyping.List[str]supportedOsVersionsmay be undefinedList<String>SupportedOsVersionsmay be undefinedstring[]SupportedOsVersionsmay be undefined*[]*string#
The operating system (OS) version supported by the component.
Tag Manager which manages the tags for this resource.
tagsRawmay be undefined{ [key: string]: string }tags_rawmay be undefinedtyping.Mapping[str, str]tagsRawmay be undefinedMap<String, String>TagsRawmay be undefinedIDictionary<string, string>TagsRawmay be undefined*map[string]*string#
The tags that apply to the component.
urimay be undefinedstringurimay be undefinedstrurimay be undefinedStringUrimay be undefinedstringUrimay be undefined*string#
The `uri` of a YAML component document file.
versionstringversionstrversionStringVersionstringVersion*string#
The semantic version of the component.

This version follows the semantic version syntax.

Methods ​

addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#
Syntactic sugar for `addOverride(path, undefined)`.
1 parameter

Parameters

  • pathpathpathpathPath — The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#
Use `addResourceDependency` instead.

This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.

addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#
Use `addResourceDependency` instead.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.

addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#
Add a value to the CloudFormation Resource Metadata.
addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#
Adds an override to the synthesized CloudFormation resource.
notes · 2 parameters

To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example,

typescript
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');

would add the overrides

json
"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters

  • pathpathpathpathPath — - The path of the property, you can use dot notation to override values in complex types.
  • valuevaluevaluevalueValue — - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#
Adds an override that deletes the value of a property from the resource definition.
1 parameter

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#
Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

2 parameters

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path of the property.
  • valuevaluevaluevalueValue — The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#
Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.

applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#
Sets the cross-stack reference strength for this resource.

When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.

1 parameter

Parameters

  • strengthstrengthstrengthstrengthStrength — - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#
Sets the deletion policy of the resource based on the removal policy specified.
notes

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

arnForComponent(resource: IComponentRef): string@staticmethod def arn_for_component(resource: IComponentRef) -> strpublic static String arnForComponent(IComponentRef resource)public static string ArnForComponent(IComponentRef resource)func ArnForComponent(Resource IComponentRef) *stringstatic#
cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#
getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#
Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

1 parameter

Parameters

  • attributeNameattribute_nameattributeNameattributeNameAttributeName — The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#
Retrieve a value value from the CloudFormation Resource Metadata.
inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#
Examines the CloudFormation resource and discloses attributes.
1 parameter

Parameters

  • inspectorinspectorinspectorinspectorInspector — tree inspector to collect and process attributes.
isCfnComponent(x: any): boolean@staticmethod def is_cfn_component(x: Any) -> boolpublic static Boolean isCfnComponent(Object x)public static bool IsCfnComponent(object x)func IsCfnComponent(X interface{}) *boolstatic#
Checks whether the given object is a CfnComponent.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#
Returns `true` if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

returns

Returns: The construct as a stack element or undefined if it is not a stack element.

isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#
Check whether the given object is a CfnResource.
isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#
Checks if `x` is a construct.
notes · 1 parameter · returns

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters

  • xxxxX — Any object.

Returns: true if x is an object created from a class which extends Construct.

obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#
Retrieves an array of resources and stacks this resource depends on.

For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.

overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#
Overrides the auto-generated logical ID with a specific ID.
1 parameter

Parameters

  • newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId — The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#
Use `removeResourceDependency` instead

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#
Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#
Replaces one dependency with another.
2 parameters

Parameters

  • targettargettargettargetTarget — The dependency to replace.
  • newTargetnew_targetnewTargetnewTargetNewTarget — The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#
Returns a string representation of this construct.
returns

Returns: a string representation of this resource

with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#
Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.